#! /bin/sh
#
#   startup.sh -- スタートアップスクリプト (日本語化コンソール用)
#
#	0.0: Jun. 15, 2004 by Dai ISHIJIMA
#

PATH=/bin:/sbin:/:.
export PATH

echo -n '起動時のシステムメッセージを保存しています...'
dmesg > /var/run/dmesg.boot
echo ''

# dialogコマンドがあらかじめ存在するか?
if [ ! -x /usr/bin/dialog ]; then
	echo -n 'CD-ROMをマウントしています...'
	mount_cd9660 /dev/acd0c /cdrom 1>/dev/null 2>&1
	if [ ! -x /cdrom/usr/bin/dialog ]; then
		mount_cd9660 /dev/cd0c /cdrom 1>/dev/null 2>&1
	fi
	echo ''
	if [ ! -x /cdrom/usr/bin/dialog ]; then
		echo 'CD-ROMのマウントに失敗しました。'
		exec /bin/sh -i
	fi
fi

echo -n 'ハードディスク消去ツールの起動準備をしています...'
if [ -r /usr/lib/libc.so ]; then
	# シェアードライブラリがあれば (CDのマウントに成功していれば) 
	# ライブラリの初期化
	ldconfig -elf /usr/lib
fi

if [ -x /bin/hostname ]; then
	hostname wipeout
fi

PATH=/wipeout:/usr/bin:/usr/sbin:/bin:/sbin:/:.
export PATH
export TERMCAP=/etc/termcap
export TERM=kons25jx
echo ''

cd /wipeout
/bin/sh mainmenu.sh

# とりあえず対話シェルを動かしておく :-)
/bin/sh -i

exit 0

# EOF
